Bug 195639 - Squirrelmail file download issue on JP MS Windows XP.
Squirrelmail file download issue on JP MS Windows XP.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: squirrelmail (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-16 04:51 EDT by Jose Plans
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0668
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-26 08:27:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Actual_result.jpg (89.16 KB, image/jpeg)
2006-06-16 04:51 EDT, Jose Plans
no flags Details
Expected_result.jpg (84.17 KB, image/jpeg)
2006-06-16 04:54 EDT, Jose Plans
no flags Details
Patch fixing this issue. (667 bytes, patch)
2006-06-16 04:57 EDT, Jose Plans
no flags Details | Diff

  None (edit)
Description Jose Plans 2006-06-16 04:51:19 EDT
Description of problem:
This is a i18n issue for Squirrelmail.
After update squirrelmail to squirrelmail-1.4.6-5.el4, it can't handle
handle multi-byte characters download file. When the customer download
a file using MS IE in Japanese Windows XP, all download files are
garbled.

Version-Release number of selected component (if applicable):
squirrelmail-1.4.6-5.el4

How reproducible:
Always

Steps to Reproduce:
1. Access to a Japanese based squirrelmail and try to get download a file, the
name of the file is then corrupted as shown in [Actual_result.jpg].


Actual results:
Actual_result.jpg

Expected results:
Expected_result.jpg

Additional info:
squirrelmail-1.4.3a-9.EL4 works fine, but the latest version cannot
treat multi-byte characters download files.
Comment 1 Jose Plans 2006-06-16 04:51:20 EDT
Created attachment 131026 [details]
Actual_result.jpg
Comment 2 Jose Plans 2006-06-16 04:54:50 EDT
Created attachment 131027 [details]
Expected_result.jpg
Comment 3 Jose Plans 2006-06-16 04:57:09 EDT
Created attachment 131028 [details]
Patch fixing this issue.

This patch proposed by Hideshi Fuchi <hfuchi@redhat.com>
Comment 4 Warren Togami 2006-07-10 13:21:54 EDT
Testing in FC with squirrelmail-1.4.7-2.
Comment 6 RHEL Product and Program Management 2006-08-18 11:28:43 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 11 Red Hat Bugzilla 2006-09-26 08:27:57 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0668.html

Note You need to log in before you can comment on or make changes to this bug.